org.appng.api

## Interface Request

- All Superinterfaces:
    org.springframework.core.convert.ConversionService, RequestContainer, RequestSupport, ValidationProvider
  All Known Implementing Classes:
    ApplicationRequest

      public interface Request
      extends RequestContainer, RequestSupport, ValidationProvider

  A `Request` is the framework-internal representation of a `HttpServletRequest`, wrapping the afore mentioned and adding framework-specific methods.
  Author:
    Matthias Müller

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ExpressionEvaluator` | `getExpressionEvaluator()` Returns the `ExpressionEvaluator` for this `Request`.
    `Locale` | `getLocale()` Returns the `Locale` for this `Request`.
    `ParameterSupport` | `getParameterSupportDollar()` Returns the `ParameterSupport` for this `Request`.
    `PermissionProcessor` | `getPermissionProcessor()` Returns the `PermissionProcessor` for this `Request`.
    `Subject` | `getSubject()` Returns the `Subject` for this `Request`.
    `List<String>` | `getUrlParameters()` Returns a list of URL-Parameters for a JSP-page, which are those path-elements appearing after the name of the JSP-page itself.
    `org.springframework.http.HttpHeaders` | `headers()` Returns the `HttpHeaders` for the underlying `HttpServletRequest`.
    `boolean` | `isGet()` Checks whether this `Request` originates of a HTTP GET-request.
    `boolean` | `isPost()` Checks whether this `Request` originates of a HTTP POST-request.
    `boolean` | `isRedirect()` Checks whether a redirect-target has been set for this `Request`.

    - ### Methods inherited from interface org.appng.forms.RequestContainer

      `getFormUploads, getFormUploads, getHost, getParameter, getParameterList, getParameterNames, getParameters, getParametersList, hasParameter`

    - ### Methods inherited from interface org.appng.api.RequestSupport

      `addErrorMessage, addErrorMessage, fillBindObject, getBindObject, getEnvironment, getFieldConverter, getMessage, getMessageSource, handleException, setPropertyValue, setPropertyValues`

    - ### Methods inherited from interface org.springframework.core.convert.ConversionService

      `canConvert, canConvert, convert, convert`

    - ### Methods inherited from interface org.appng.api.ValidationProvider

      `addValidationMetaData, validateBean, validateBean, validateField`

- - ### Method Detail

    - #### getExpressionEvaluator

          ExpressionEvaluator getExpressionEvaluator()

      Returns the `ExpressionEvaluator` for this `Request`.
      Returns:
        the `ExpressionEvaluator`

    - #### getParameterSupportDollar

          ParameterSupport getParameterSupportDollar()

      Returns the `ParameterSupport` for this `Request`.
      Returns:
        the `ParameterSupport`

    - #### getPermissionProcessor

          PermissionProcessor getPermissionProcessor()

      Returns the `PermissionProcessor` for this `Request`.
      Returns:
        the `PermissionProcessor`

    - #### getSubject

          Subject getSubject()

      Returns the `Subject` for this `Request`.
      Returns:
        the `Subject`

    - #### getLocale

          Locale getLocale()

      Returns the `Locale` for this `Request`.
      Returns:
        the `Locale`

    - #### getUrlParameters

          List<String> getUrlParameters()

      Returns a list of URL-Parameters for a JSP-page, which are those path-elements appearing after the name of the JSP-page itself. So if the page is named `contact` and the path is `/contact/europe/germany`, the resulting `List` would be equal to `Arrays.asList("europe","germany")`.
      Returns:
        the URL-Parameters for a JSP-Page
      See Also:
        `Path.getJspUrlParameters()`

    - #### isRedirect

          boolean isRedirect()

      Checks whether a redirect-target has been set for this `Request`.
      Returns:
        `true` if a redirect-target has been set for this `Request`, `false` otherwise

    - #### isGet

          boolean isGet()

      Checks whether this `Request` originates of a HTTP GET-request.
      Returns:
        `true` if this `Request` originates of a HTTP GET-request, `false` otherwise

    - #### isPost

          boolean isPost()

      Checks whether this `Request` originates of a HTTP POST-request.
      Returns:
        `true` if this `Request` originates of a HTTP POST-request, `false` otherwise

    - #### headers

          org.springframework.http.HttpHeaders headers()

      Returns the `HttpHeaders` for the underlying `HttpServletRequest`.
      Returns:
        the headers

Copyright © 2011–2023 aiticon GmbH. All rights reserved.